/*  libim - Library of Instant Messaging and Presence enabler
 * improxy_loop.h - 
 *
 * Authors: ZHAO Liangjing <liangjing.zhao@orange-ftgroup.com> 
 * 
 */


/**
 *@file API definition of the Instance Message Interface - IM Proxy Loop
 *
 *@version 0.1
 */

#ifndef __LIPS_IM_PROXY_LOOP_H
#define __LIPS_IM_PROXY_LOOP_H

#include <glib.h>
#include "imtrans.h"

#ifdef __cplusplus
extern "C"
{
#endif                          /* __cplusplus */

  GSource *im_recv_src (void);

  //GSource*im_send_src(void);

  //void pre_source(void);

  bool im_proxy_trans_notify (im_trans_t *t);

  //bool im_loop_trans_delivery(GAsyncQueue*q);

#ifdef __cplusplus
}
#endif                          /* __cplusplus */

#endif /* __LIPS_IM_PROXY_LOOP_H*/

