/*  libim - Library of Instant Messaging and Presence enabler
 * improxy_dbus.h - 
 *
 * Authors: ZHAO Liangjing <liangjing.zhao@orange-ftgroup.com> 
 * 
 */


//
// C++ Interface: improxy_dbus
//
// Description:
//
//
// Author: ZHAO Liangjing <zhaolj@ch-zlj>, (C) 2006
//
// Copyright: See COPYING file that comes with this distribution
//
//

#ifndef __LIPS_IM_PROXY_DBUS_H
#define __LIPS_IM_PROXY_DBUS_H

#include "im_dbus.h"

#ifdef __cplusplus
extern "C"
{
#endif                          /* __cplusplus */

  void open_session (DBusMessage *message);
  void close_session (DBusMessage *message);
  void quit_session (DBusMessage *message);
  void im_proxy_evt_reg (DBusMessage *message);
  void im_proxy_evt_unreg (DBusMessage *message);
  void im_proxy_req_login (DBusMessage *message);
  void im_proxy_req_logout (DBusMessage *message);
  void im_proxy_req_presence (DBusMessage *message);
  void im_proxy_req_presence_probe (DBusMessage *message);
  void im_proxy_req_msg (DBusMessage *message);
  void im_proxy_req_subscribe (DBusMessage *message);
  void im_proxy_req_accept (DBusMessage *message);
  void im_proxy_req_roster (DBusMessage *message);
  void im_proxy_req_buddy_op (DBusMessage *message);
  void im_proxy_req_synch (DBusMessage *message);

#ifdef __cplusplus
}
#endif                          /* __cplusplus */

#endif /* __LIPS_IM_PROXY_DBUS_H*/

